/* Generated By:JJTree&JavaCC: Do not edit this line. QueryParserConstants.java */
package com.yahoo.pig.impl.logicalLayer.parser;

public interface QueryParserConstants {

  int EOF = 0;
  int STRFILTEROP = 7;
  int NUMFILTEROP = 8;
  int FILTEROP = 9;
  int LOAD = 10;
  int FILTER = 11;
  int FOREACH = 12;
  int MATCHES = 13;
  int ORDER = 14;
  int ARRANGE = 15;
  int DISTINCT = 16;
  int COGROUP = 17;
  int CROSS = 18;
  int UNION = 19;
  int ALL = 20;
  int ANY = 21;
  int AS = 22;
  int BY = 23;
  int USING = 24;
  int INNER = 25;
  int OUTER = 26;
  int STAR = 27;
  int PARALLEL = 28;
  int GROUP = 29;
  int AND = 30;
  int OR = 31;
  int NOT = 32;
  int CONTINUOUSLY = 33;
  int WINDOW = 34;
  int SECONDS = 35;
  int MINUTES = 36;
  int HOURS = 37;
  int TUPLES = 38;
  int GENERATE = 39;
  int FLATTEN = 40;
  int EVAL = 41;
  int LETTER = 42;
  int DIGIT = 43;
  int SPECIALCHAR = 44;
  int FSSPECIALCHAR = 45;
  int IDENTIFIER = 46;
  int NUMBER = 47;
  int FLOAT = 48;
  int INTEGER = 49;
  int QUOTEDSTRING = 50;
  int DOLLARVAR = 51;

  int DEFAULT = 0;

  String[] tokenImage = {
    "<EOF>",
    "\" \"",
    "\"\\r\"",
    "\"\\t\"",
    "\"\\n\"",
    "<token of kind 5>",
    "<token of kind 6>",
    "<STRFILTEROP>",
    "<NUMFILTEROP>",
    "<FILTEROP>",
    "\"load\"",
    "\"filter\"",
    "\"foreach\"",
    "\"matches\"",
    "\"order\"",
    "\"arrange\"",
    "\"distinct\"",
    "\"cogroup\"",
    "\"cross\"",
    "\"union\"",
    "\"all\"",
    "\"any\"",
    "\"as\"",
    "\"by\"",
    "\"using\"",
    "\"inner\"",
    "\"outer\"",
    "\"*\"",
    "\"parallel\"",
    "\"group\"",
    "\"and\"",
    "\"or\"",
    "\"not\"",
    "\"continuously\"",
    "\"window\"",
    "\"seconds\"",
    "\"minutes\"",
    "\"hours\"",
    "\"tuples\"",
    "\"generate\"",
    "\"flatten\"",
    "\"eval\"",
    "<LETTER>",
    "<DIGIT>",
    "<SPECIALCHAR>",
    "<FSSPECIALCHAR>",
    "<IDENTIFIER>",
    "<NUMBER>",
    "<FLOAT>",
    "<INTEGER>",
    "<QUOTEDSTRING>",
    "<DOLLARVAR>",
    "\"=\"",
    "\";\"",
    "\"(\"",
    "\")\"",
    "\",\"",
    "\"{\"",
    "\"}\"",
    "\"+\"",
    "\"-\"",
    "\"/\"",
    "\".\"",
    "\"?\"",
    "\":\"",
    "\"[\"",
    "\"]\"",
    "\"$\"",
  };

}
